NX Open C++ Reference Guide
|
Represents an edit surface u/v direction builder that allows reversing or swapping parametric directions. More...
Public Member Functions | |
bool | ReverseU () |
Returns the reverse u direction option. | |
bool | ReverseV () |
Returns the reverse v direction option. | |
void | SetReverseU (bool reverseU) |
Sets the reverse u direction option. | |
void | SetReverseV (bool reverseV) |
Sets the reverse v direction option. | |
void | SetSwapUandV (bool swapUandV) |
Sets the swap u and v directions option. | |
bool | SwapUandV () |
Returns the swap u and v directions option. | |
NXOpen::SelectFaceList * | TargetFace () |
Returns the target face; feature faces can not be operated on. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents an edit surface u/v direction builder that allows reversing or swapping parametric directions.
To create a new instance of this class, use BodyCollection::CreateSurfaceUvdirectionBuilder
Default values.
Property | Value |
---|---|
ReverseU |
0 |
ReverseV |
0 |
SwapUandV |
0 |
Created in NX8.5.1.
bool NXOpen::SurfaceUVDirectionBuilder::ReverseU | ( | ) |
Returns the reverse u direction option.
Created in NX8.5.1.
License requirements : None
bool NXOpen::SurfaceUVDirectionBuilder::ReverseV | ( | ) |
Returns the reverse v direction option.
Created in NX8.5.1.
License requirements : None
void NXOpen::SurfaceUVDirectionBuilder::SetReverseU | ( | bool | reverseU | ) |
Sets the reverse u direction option.
Created in NX8.5.1.
License requirements : studio_free_form ("STUDIO FREE FORM")
reverseU | reverseu |
void NXOpen::SurfaceUVDirectionBuilder::SetReverseV | ( | bool | reverseV | ) |
Sets the reverse v direction option.
Created in NX8.5.1.
License requirements : studio_free_form ("STUDIO FREE FORM")
reverseV | reversev |
void NXOpen::SurfaceUVDirectionBuilder::SetSwapUandV | ( | bool | swapUandV | ) |
Sets the swap u and v directions option.
Created in NX8.5.1.
License requirements : studio_free_form ("STUDIO FREE FORM")
swapUandV | swapuandv |
bool NXOpen::SurfaceUVDirectionBuilder::SwapUandV | ( | ) |
Returns the swap u and v directions option.
Created in NX8.5.1.
License requirements : None
NXOpen::SelectFaceList* NXOpen::SurfaceUVDirectionBuilder::TargetFace | ( | ) |
Returns the target face; feature faces can not be operated on.
Created in NX8.5.1.
License requirements : None